/*  #####  N root by NEWTON Method ### */

#include <stdio.h>

float root(d, m) double d; int m;
{ double x1, x2, xn, err, c=1e-5;int i;
  x1=err=1;
  if(d<=0) return(0);
  while(err>c) {
          xn=x1;
          for(i=1; i<m-1; i++)
            xn=xn*x1;
	  x2=((m-1)*x1+d/xn)/m;
	  err=x2-x1;
	  if(err<0) err=-err;
	  x1=x2; }
  return(x2); }


void main() { float r; int n; int m;
   float root(double p, int m );
   printf("***** multiple n root solution by Newton Method *****\n");
   printf("      Stop at Ctrl+C \n\n");
   printf("Enter data by integer=");
   scanf("%d", &n);
   printf("Enter multiple n by integer=");
   scanf("%d", &m);
                               
	while(n>0 && m>0) {
		r = root((double)n, m);
		printf(" %d multiple root of %d=%f\n\n", m, n, r);
		printf("Enter data by integer=");
		scanf("%d", &n);
                printf("Enter multiple n by integer=");
                scanf("%d", &m);
    }
}
